-------------------------------------------------------------------------------
-- MrTrader 
--
-- Suite of tools for the avid crafter.
--
-- Send suggestions, comments, and bugs to user@zedonline.net
-------------------------------------------------------------------------------

local L = LibStub("AceLocale-3.0"):GetLocale("MrTrader", true);

-----
-- MRTToolsAndCooldown - Plugin to provide cooldown and tool information for skills in a single line
--
-- Interfaces:
--   SkillWindow_InfoLine - Provides a line of info text for a recipe
-----
MRTToolsAndCooldown = {};

function MRTToolsAndCooldown:OnInitialize()
	-- Add ourselves to MrTrader plugins
	self.interfaces = { "SkillWindow_InfoLine" };
	self.name = L["Tools and Cooldown"];
	self.id = "MRTrader_ToolsAndCooldown";

	MRTUIUtils_RegisterPlugin(self);
end

function MRTToolsAndCooldown:BuildToolString(table)
	local result = "";

	local count = getn(table);
	for i=1,count,2 do
		local k = table[i];
		local v = table[i+1];
		if( result ~= "" ) then result = result .. ", " end;
		if( v ~= 1 ) then
			result = result .. "|cffff0000" .. k .. "|r";
		else
			result = result .. k;
		end
	end
	
	if( result ~= "" ) then
		result = REQUIRES_LABEL .. " " .. result;
		return result;
	end
	
	return nil;
end

function MRTToolsAndCooldown:SkillWindow_InfoLine(tradeskillInfo)
	local result = nil;

	if( tradeskillInfo.skillCooldown ~= nil ) then
		result = "|cffff0000" .. COOLDOWN_REMAINING .. " " .. SecondsToTime(tradeskillInfo.skillCooldown) .. "|r";
	end
	if( tradeskillInfo.skillCooldown == nil and tradeskillInfo.skillTools ~= nil and getn(tradeskillInfo.skillTools) > 0 ) then
		result = MRTToolsAndCooldown:BuildToolString(tradeskillInfo.skillTools);
	end
	
	return result;
end